<Project Sdk="Microsoft.NET.Sdk">
    <PropertyGroup>
        <Version>1.1.0</Version>
        <OutputType Condition="'$(Configuration)' == 'Debug'">Exe</OutputType>
        <OutputType Condition="'$(Configuration)' != 'Debug'">WinExe</OutputType>
        <TargetFramework>net8.0</TargetFramework>
        <LangVersion>latest</LangVersion>
        <Nullable>enable</Nullable>
        <ImplicitUsings>disable</ImplicitUsings>
        <BuiltInComInteropSupport>true</BuiltInComInteropSupport>
        <ApplicationManifest>гойда.manifest</ApplicationManifest>
        <AvaloniaUseCompiledBindingsByDefault>true</AvaloniaUseCompiledBindingsByDefault>
        <ApplicationIcon>капитал\кубе.ico</ApplicationIcon>
        <AssemblyName>млаумчерб</AssemblyName>
        <Configurations>Release;Debug</Configurations>
        <Platforms>x64</Platforms>
        <!-- AXAML resource has no public constructor -->
        <NoWarn>AVLN3001</NoWarn>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Avalonia" Version="11.2.*" />
        <PackageReference Include="Avalonia.Desktop" Version="11.2.*" />
        <PackageReference Include="Avalonia.Themes.Simple" Version="11.2.*" />
        <PackageReference Condition="'$(Configuration)' == 'Debug'" Include="Avalonia.Diagnostics" Version="11.2.*" />
        <PackageReference Include="Avalonia.Labs.Gif" Version="11.2.*" />
        <PackageReference Include="CliWrap" Version="3.7.0" />
        <PackageReference Include="DTLib" Version="1.6.1" />
        <PackageReference Include="LZMA-SDK" Version="22.1.1" />
        <PackageReference Include="MessageBox.Avalonia" Version="3.2.0" />
        <PackageReference Include="Newtonsoft.Json" Version="13.*" />
    </ItemGroup>

    <ItemGroup>
        <AvaloniaResource Include="капитал\**"/>
        <EmbeddedResource Include="встроенное\**" />
    </ItemGroup>

    <ItemGroup>
      <Folder Include="Gitea\" />
    </ItemGroup>
    
</Project>
